Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class SwitchActivity.Case

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.SwitchActivity.Case

All Implemented Interfaces:
  SourceLocation

Enclosing class:
  SwitchActivity

    public static class SwitchActivity.Case

extends BpelObject

BPEL object model representation of `<case>` and `<otherwise>` elements. Note that the `<otherwise>` elements simply return null for the `getCondition()`.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`SwitchActivity.Case(org.w3c.dom.Element el)`

Method Summary
`Activity` | `getActivity()` Get the activity for this case.
`Expression` | `getCondition()` Get the condition associated with this case.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SwitchActivity.Case

    public SwitchActivity.Case(org.w3c.dom.Element el)

Method Detail

### getActivity

    public Activity getActivity()

  Get the activity for this case.

  Returns:
    activity enabled when case is satisfied

### getCondition

    public Expression getCondition()

  Get the condition associated with this case.

  Returns:
    the condition

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD